Upstream information

CVE-2019-11038 at MITRE

Description

When using the gdImageCreateFromXbm() function in the GD Graphics Library (aka LibGD) 2.2.5, as used in the PHP GD extension in PHP versions 7.1.x below 7.1.30, 7.2.x below 7.2.19 and 7.3.x below 7.3.6, it is possible to supply data that will cause the function to use the value of uninitialized variable. This may lead to disclosing contents of the stack that has been left there by previous code.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 4
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.0 3.0
SUSE Bugzilla entries: 1140118 [NEW], 1140120 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Web Scripting 12
  • apache2-mod_php7 >= 7.0.7-50.85.1
  • php7 >= 7.0.7-50.85.1
  • php7-bcmath >= 7.0.7-50.85.1
  • php7-bz2 >= 7.0.7-50.85.1
  • php7-calendar >= 7.0.7-50.85.1
  • php7-ctype >= 7.0.7-50.85.1
  • php7-curl >= 7.0.7-50.85.1
  • php7-dba >= 7.0.7-50.85.1
  • php7-dom >= 7.0.7-50.85.1
  • php7-enchant >= 7.0.7-50.85.1
  • php7-exif >= 7.0.7-50.85.1
  • php7-fastcgi >= 7.0.7-50.85.1
  • php7-fileinfo >= 7.0.7-50.85.1
  • php7-fpm >= 7.0.7-50.85.1
  • php7-ftp >= 7.0.7-50.85.1
  • php7-gd >= 7.0.7-50.85.1
  • php7-gettext >= 7.0.7-50.85.1
  • php7-gmp >= 7.0.7-50.85.1
  • php7-iconv >= 7.0.7-50.85.1
  • php7-imap >= 7.0.7-50.85.1
  • php7-intl >= 7.0.7-50.85.1
  • php7-json >= 7.0.7-50.85.1
  • php7-ldap >= 7.0.7-50.85.1
  • php7-mbstring >= 7.0.7-50.85.1
  • php7-mcrypt >= 7.0.7-50.85.1
  • php7-mysql >= 7.0.7-50.85.1
  • php7-odbc >= 7.0.7-50.85.1
  • php7-opcache >= 7.0.7-50.85.1
  • php7-openssl >= 7.0.7-50.85.1
  • php7-pcntl >= 7.0.7-50.85.1
  • php7-pdo >= 7.0.7-50.85.1
  • php7-pear >= 7.0.7-50.85.1
  • php7-pear-Archive_Tar >= 7.0.7-50.85.1
  • php7-pgsql >= 7.0.7-50.85.1
  • php7-phar >= 7.0.7-50.85.1
  • php7-posix >= 7.0.7-50.85.1
  • php7-pspell >= 7.0.7-50.85.1
  • php7-shmop >= 7.0.7-50.85.1
  • php7-snmp >= 7.0.7-50.85.1
  • php7-soap >= 7.0.7-50.85.1
  • php7-sockets >= 7.0.7-50.85.1
  • php7-sqlite >= 7.0.7-50.85.1
  • php7-sysvmsg >= 7.0.7-50.85.1
  • php7-sysvsem >= 7.0.7-50.85.1
  • php7-sysvshm >= 7.0.7-50.85.1
  • php7-tokenizer >= 7.0.7-50.85.1
  • php7-wddx >= 7.0.7-50.85.1
  • php7-xmlreader >= 7.0.7-50.85.1
  • php7-xmlrpc >= 7.0.7-50.85.1
  • php7-xmlwriter >= 7.0.7-50.85.1
  • php7-xsl >= 7.0.7-50.85.1
  • php7-zip >= 7.0.7-50.85.1
  • php7-zlib >= 7.0.7-50.85.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2019-2243
SUSE Linux Enterprise Point of Sale 11 SP3
  • apache2-mod_php53 >= 5.3.17-112.71.1
  • php53 >= 5.3.17-112.71.1
  • php53-bcmath >= 5.3.17-112.71.1
  • php53-bz2 >= 5.3.17-112.71.1
  • php53-calendar >= 5.3.17-112.71.1
  • php53-ctype >= 5.3.17-112.71.1
  • php53-curl >= 5.3.17-112.71.1
  • php53-dba >= 5.3.17-112.71.1
  • php53-dom >= 5.3.17-112.71.1
  • php53-exif >= 5.3.17-112.71.1
  • php53-fastcgi >= 5.3.17-112.71.1
  • php53-fileinfo >= 5.3.17-112.71.1
  • php53-ftp >= 5.3.17-112.71.1
  • php53-gd >= 5.3.17-112.71.1
  • php53-gettext >= 5.3.17-112.71.1
  • php53-gmp >= 5.3.17-112.71.1
  • php53-iconv >= 5.3.17-112.71.1
  • php53-intl >= 5.3.17-112.71.1
  • php53-json >= 5.3.17-112.71.1
  • php53-ldap >= 5.3.17-112.71.1
  • php53-mbstring >= 5.3.17-112.71.1
  • php53-mcrypt >= 5.3.17-112.71.1
  • php53-mysql >= 5.3.17-112.71.1
  • php53-odbc >= 5.3.17-112.71.1
  • php53-openssl >= 5.3.17-112.71.1
  • php53-pcntl >= 5.3.17-112.71.1
  • php53-pdo >= 5.3.17-112.71.1
  • php53-pear >= 5.3.17-112.71.1
  • php53-pgsql >= 5.3.17-112.71.1
  • php53-pspell >= 5.3.17-112.71.1
  • php53-shmop >= 5.3.17-112.71.1
  • php53-snmp >= 5.3.17-112.71.1
  • php53-soap >= 5.3.17-112.71.1
  • php53-suhosin >= 5.3.17-112.71.1
  • php53-sysvmsg >= 5.3.17-112.71.1
  • php53-sysvsem >= 5.3.17-112.71.1
  • php53-sysvshm >= 5.3.17-112.71.1
  • php53-tokenizer >= 5.3.17-112.71.1
  • php53-wddx >= 5.3.17-112.71.1
  • php53-xmlreader >= 5.3.17-112.71.1
  • php53-xmlrpc >= 5.3.17-112.71.1
  • php53-xmlwriter >= 5.3.17-112.71.1
  • php53-xsl >= 5.3.17-112.71.1
  • php53-zip >= 5.3.17-112.71.1
  • php53-zlib >= 5.3.17-112.71.1
Patchnames:
sleposp3-php53-14158
SUSE Linux Enterprise Server 11 SP4-LTSS
  • apache2-mod_php53 >= 5.3.17-112.71.1
  • php53 >= 5.3.17-112.71.1
  • php53-bcmath >= 5.3.17-112.71.1
  • php53-bz2 >= 5.3.17-112.71.1
  • php53-calendar >= 5.3.17-112.71.1
  • php53-ctype >= 5.3.17-112.71.1
  • php53-curl >= 5.3.17-112.71.1
  • php53-dba >= 5.3.17-112.71.1
  • php53-dom >= 5.3.17-112.71.1
  • php53-exif >= 5.3.17-112.71.1
  • php53-fastcgi >= 5.3.17-112.71.1
  • php53-fileinfo >= 5.3.17-112.71.1
  • php53-ftp >= 5.3.17-112.71.1
  • php53-gd >= 5.3.17-112.71.1
  • php53-gettext >= 5.3.17-112.71.1
  • php53-gmp >= 5.3.17-112.71.1
  • php53-iconv >= 5.3.17-112.71.1
  • php53-intl >= 5.3.17-112.71.1
  • php53-json >= 5.3.17-112.71.1
  • php53-ldap >= 5.3.17-112.71.1
  • php53-mbstring >= 5.3.17-112.71.1
  • php53-mcrypt >= 5.3.17-112.71.1
  • php53-mysql >= 5.3.17-112.71.1
  • php53-odbc >= 5.3.17-112.71.1
  • php53-openssl >= 5.3.17-112.71.1
  • php53-pcntl >= 5.3.17-112.71.1
  • php53-pdo >= 5.3.17-112.71.1
  • php53-pear >= 5.3.17-112.71.1
  • php53-pgsql >= 5.3.17-112.71.1
  • php53-pspell >= 5.3.17-112.71.1
  • php53-shmop >= 5.3.17-112.71.1
  • php53-snmp >= 5.3.17-112.71.1
  • php53-soap >= 5.3.17-112.71.1
  • php53-suhosin >= 5.3.17-112.71.1
  • php53-sysvmsg >= 5.3.17-112.71.1
  • php53-sysvsem >= 5.3.17-112.71.1
  • php53-sysvshm >= 5.3.17-112.71.1
  • php53-tokenizer >= 5.3.17-112.71.1
  • php53-wddx >= 5.3.17-112.71.1
  • php53-xmlreader >= 5.3.17-112.71.1
  • php53-xmlrpc >= 5.3.17-112.71.1
  • php53-xmlwriter >= 5.3.17-112.71.1
  • php53-xsl >= 5.3.17-112.71.1
  • php53-zip >= 5.3.17-112.71.1
  • php53-zlib >= 5.3.17-112.71.1
Patchnames:
slessp4-php53-14158
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • apache2-mod_php53 >= 5.3.17-112.71.1
  • php53 >= 5.3.17-112.71.1
  • php53-bcmath >= 5.3.17-112.71.1
  • php53-bz2 >= 5.3.17-112.71.1
  • php53-calendar >= 5.3.17-112.71.1
  • php53-ctype >= 5.3.17-112.71.1
  • php53-curl >= 5.3.17-112.71.1
  • php53-dba >= 5.3.17-112.71.1
  • php53-dom >= 5.3.17-112.71.1
  • php53-exif >= 5.3.17-112.71.1
  • php53-fastcgi >= 5.3.17-112.71.1
  • php53-fileinfo >= 5.3.17-112.71.1
  • php53-ftp >= 5.3.17-112.71.1
  • php53-gd >= 5.3.17-112.71.1
  • php53-gettext >= 5.3.17-112.71.1
  • php53-gmp >= 5.3.17-112.71.1
  • php53-iconv >= 5.3.17-112.71.1
  • php53-intl >= 5.3.17-112.71.1
  • php53-json >= 5.3.17-112.71.1
  • php53-ldap >= 5.3.17-112.71.1
  • php53-mbstring >= 5.3.17-112.71.1
  • php53-mcrypt >= 5.3.17-112.71.1
  • php53-mysql >= 5.3.17-112.71.1
  • php53-odbc >= 5.3.17-112.71.1
  • php53-openssl >= 5.3.17-112.71.1
  • php53-pcntl >= 5.3.17-112.71.1
  • php53-pdo >= 5.3.17-112.71.1
  • php53-pear >= 5.3.17-112.71.1
  • php53-pgsql >= 5.3.17-112.71.1
  • php53-pspell >= 5.3.17-112.71.1
  • php53-shmop >= 5.3.17-112.71.1
  • php53-snmp >= 5.3.17-112.71.1
  • php53-soap >= 5.3.17-112.71.1
  • php53-suhosin >= 5.3.17-112.71.1
  • php53-sysvmsg >= 5.3.17-112.71.1
  • php53-sysvsem >= 5.3.17-112.71.1
  • php53-sysvshm >= 5.3.17-112.71.1
  • php53-tokenizer >= 5.3.17-112.71.1
  • php53-wddx >= 5.3.17-112.71.1
  • php53-xmlreader >= 5.3.17-112.71.1
  • php53-xmlrpc >= 5.3.17-112.71.1
  • php53-xmlwriter >= 5.3.17-112.71.1
  • php53-xsl >= 5.3.17-112.71.1
  • php53-zip >= 5.3.17-112.71.1
  • php53-zlib >= 5.3.17-112.71.1
Patchnames:
slessp4-php53-14158
SUSE Linux Enterprise Software Development Kit 12 SP4
  • php7 >= 7.0.7-50.85.1
  • php7-devel >= 7.0.7-50.85.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-2243


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 gd Affected
SUSE Linux Enterprise Desktop 12 SP4 gd In progress
SUSE Linux Enterprise High Performance Computing 12 gd In progress
SUSE Linux Enterprise Module for Basesystem 15 GA gd In progress
SUSE Linux Enterprise Module for Basesystem 15 SP1 gd In progress
SUSE Linux Enterprise Module for Desktop Applications 15 GA gd In progress
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 gd In progress
SUSE Linux Enterprise Module for Web and Scripting 12 php5 Affected
SUSE Linux Enterprise Module for Web and Scripting 12 php7 Released
SUSE Linux Enterprise Module for Web and Scripting 12 php72 Not affected
SUSE Linux Enterprise Module for Web and Scripting 15 php7 Not affected
SUSE Linux Enterprise SDK 11 GA php5 Affected
SUSE Linux Enterprise SDK 11 SP1 php5 Affected
SUSE Linux Enterprise SDK 11 SP2 php5 Affected
SUSE Linux Enterprise SDK 11 SP2 php53 Ignore
SUSE Linux Enterprise SDK 11 SP3 php53 Affected
SUSE Linux Enterprise SDK 11 SP4 php53 Affected
SUSE Linux Enterprise SDK 12 GA php5 Affected
SUSE Linux Enterprise SDK 12 GA php7 Affected
SUSE Linux Enterprise SDK 12 SP1 php5 Affected
SUSE Linux Enterprise SDK 12 SP1 php7 Affected
SUSE Linux Enterprise SDK 12 SP2 php5 Affected
SUSE Linux Enterprise SDK 12 SP2 php7 Affected
SUSE Linux Enterprise SDK 12 SP3 gd Affected
SUSE Linux Enterprise SDK 12 SP3 php5 Affected
SUSE Linux Enterprise SDK 12 SP3 php7 Affected
SUSE Linux Enterprise SDK 12 SP3 php72 Not affected
SUSE Linux Enterprise SDK 12 SP4 gd In progress
SUSE Linux Enterprise SDK 12 SP4 php5 Affected
SUSE Linux Enterprise SDK 12 SP4 php7 Released
SUSE Linux Enterprise Server 10 SP3 php5 Released
SUSE Linux Enterprise Server 10 SP4 php5 Released
SUSE Linux Enterprise Server 10 SP4 LTSS php5 Released
SUSE Linux Enterprise Server 11 SP1 php5 Affected
SUSE Linux Enterprise Server 11 SP1 LTSS php5 Affected
SUSE Linux Enterprise Server 11 SP2 php5 Affected
SUSE Linux Enterprise Server 11 SP2 php53 Ignore
SUSE Linux Enterprise Server 11 SP2 LTSS php5 Affected
SUSE Linux Enterprise Server 11 SP2 LTSS php53 Ignore
SUSE Linux Enterprise Server 11 SP3 php53 Affected
SUSE Linux Enterprise Server 11 SP3 LTSS gd Affected
SUSE Linux Enterprise Server 11 SP3 LTSS php53 Affected
SUSE Linux Enterprise Server 11 SP4 php53 Affected
SUSE Linux Enterprise Server 11 SP4 LTSS gd Affected
SUSE Linux Enterprise Server 11 SP4 LTSS php53 Released
SUSE Linux Enterprise Server 12 GA LTSS gd Affected
SUSE Linux Enterprise Server 12 SP1 LTSS gd Affected
SUSE Linux Enterprise Server 12 SP2 LTSS gd Affected
SUSE Linux Enterprise Server 12 SP3 gd Affected
SUSE Linux Enterprise Server 12 SP4 gd In progress
SUSE Linux Enterprise Server 12 SP5 gd In progress
SUSE Linux Enterprise Server for SAP AIO 11 SP1 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 php53 Ignore
SUSE Linux Enterprise Server for SAP Applications 11 SP3 gd Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 php53 Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA gd Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 gd Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 gd Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 gd In progress
SUSE Linux Enterprise Server for SAP ES 11 SP1 php5 Affected
SUSE Linux Enterprise Server for VMWare 11 SP2 php5 Affected
SUSE Linux Enterprise Server for VMWare 11 SP2 php53 Ignore
SUSE Linux Enterprise Server for VMWare 11 SP3 php53 Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 gd Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 gd In progress